%define module_name             rtl8187se
%define module_version          0.4
%define module_release          alt1


%define kversion	2.6.27
%define krelease	alt16
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/net/wireless

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.16

Summary: Linux driver for Realtek's Wi-Fi cards
License: GPL
Group: System/Kernel and hardware
URL: http://rtl8180-sa2400.sourceforge.net

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Linux driver for Realtek's Wi-Fi cards
rtl8180 + [sa2400/grf5101/max2820]
[rtl8185/rtl8187] + rtl8225 

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
SRC=`pwd`

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
cd %_usrsrc/linux-%kversion-%flavour
%make_build V=1 \
	M="$SRC/ieee80211" \
	KSRC=%_usrsrc/linux-%kversion-%flavour \
	MODVERDIR="$SRC/.tmp" modules

cp $SRC/ieee80211/Module.symvers $SRC/rtl8185/

cd %_usrsrc/linux-%kversion-%flavour
%make_build V=1 \
	M="$SRC/rtl8185" \
	KSRC=%_usrsrc/linux-%kversion-%flavour \
	MODVERDIR="$SRC/.tmp" modules


%install
install -d %buildroot/%module_dir
cp -a ieee80211/*.ko %buildroot/%module_dir/
cp -a rtl8185/*.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Apr 21 2009 Michail Yakushin <silicium@altlinux.ru> 0.4-alt1.132635.16
- Build for kernel-image-std-pae-2.6.27-alt16.

* Fri Nov 28 2008 Denis Klimov <zver@altlinux.ru> 0.4-alt1
- change module name

* Thu Nov 27 2008 Denis Klimov <zver@altlinux.ru> 0.22-alt3
- use coffee fork sources

* Mon Oct 20 2008 Denis Klimov <zver@altlinux.ru> 0.22-alt2
- separate build rtl8180 and ieee80211 for 2.6.26

* Tue Sep 30 2008 Denis Klimov <zver@altlinux.ru> 0.22-alt1
- build for new version
- change SUBDIRS for new source tree
- remove needless KBUILD

* Wed Sep 24 2008 Denis Klimov <zver@altlinux.ru> 0.21-alt1
- Initial build for ALT Linux

